Subject: Re: [bug#71371] [PATCH v2] gnu: svn-fetch: Allow specifying revisions as strings.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 18 Jun 2024 08:11:06 -0400

Hello,

Nicolas Goaziou <[email-masked]> writes:

> * guix/svn-download.scm (<svn-reference>):
> (svn-fetch):
> (svn-multi-fetch):
> * guix/build/svn.scm (svn-fetch): Revision can also be a string, not only
> a number.
> * doc/guix.texi (origin Reference): Document changes about REVISION field.
>
> Change-Id: Ibb17b539575fdf3daf895bd1ce39a40dd9b495cb
> ---
> v2: No longer ignore "-r" argument. Instead, allow strings, such as "HEAD". Yes, in practice, it means this relies on the tag being stable, which is the same assumption as for, e.g., tarballs. WDYT?

While it may be useful to point to volatile references such as HEAD for
internal projects (like I believe is also possible for our git fetcher)
or the likes (with a hash of #f for example), I wouldn't like to see
this used in the Guix tree (I'd consider it a bad practice).  I'm not
against merging this, but I think we should add a 'guix lint' rule
that'd warn that some SVN reference should be specified if it wasn't.

Does that sound reasonable?

-- 
Thanks,
Maxim